Bug 545498 - NullPointerException when creating new Cron Tab
NullPointerException when creating new Cron Tab
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
Reported: 2009-12-08 12:40 EST by John Sefler
Modified: 2014-05-16 15:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-16 15:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Sefler 2009-12-08 12:40:00 EST
Description of problem:
When trying to create a new valid Cron Tab resource, a Null Pointer Exception is thrown after clicking submit

Version-Release number of selected component (if applicable):
Not sure what commit has this build is.
This server was built during sprint 3 (a server in Pune -

How reproducible:

Steps to Reproduce:
1.Login to rhq server and open a managed platform .
2.Select the cron resource.
3.Select the 'Inventory' tab.
4.Click on 'OK' button to create new cron tab.
5.Enter a resource name(Ex: /etc/cron.d/somefile)
6.Click on 'Add New' button for cron entries section.
7.Enter/Select the minute, hour, day of month, month, day of week, user, and the command to be executed as:
30      10      *       *       *       root    echo “This command runs at 10:30 am.”

8.Click on Submit.
9. refresh the page to see the updated "Request Status" of the "History of create child resource requests" table
Actual results:
The status changes to "Failure" and displays
No resource key specified for failed request

The server log has:
2009-12-08 23:05:21,288 INFO  [org.rhq.enterprise.server.resource.ResourceFactoryServerServiceImpl] Received create resource response: CreateResourceResponse[RequestId=10123, Status=Failure]

The client log has:
2009-12-08 13:45:54,403 INFO  [ResourceFactory.executor-1] (rhq.core.pc.inventory.CreateResourceRunner)- Creating resource through report: CreateResourceReport: ResourceType=[ResourceType[id=0, category=Service, name=Cron Tab, plugin=Cron]], ResourceKey=[null]

Expected results:
successful creation of cron tab

Additional info:
Comment 1 wes hayutin 2010-02-16 11:58:50 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:03:33 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:20 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.